%This GraphDescription shows, how to use and specify differnet TransportStrategies.
%It connects the MP3Readnode and the MPEGAudioDecodeNode, wich is running on a different
%host, with the RTPStrategy for instream buffer and the TCPStrategy for instream events.
%The MP3ReadNode's ProxyObject communicates with the MP3ReadNode using a TCPStrategy. The MPEGAudioDecodeNode
%connects to to the PLaybackNode, using the TCPStrategy.
%NOTE:A serverregistry must be running on the remote host and must provide the plugin libnmmrtp.so

%command on remote host:        serverregistry
%command on localhost:          clic tstrategy_example.gd -i <mp3-file>

GenericReadNode $ setEventStrategy("TCPStrategy")
            @ setBufferStrategy("RTPStrategy") 
            @ setEventStrategy("TCPStrategy") !
MPEGAudioDecodeNode 
            #setLocation("mmbox02")
            @ setBufferStrategy("TCPStrategy") !
PlaybackNode

