% This GD can be used together with dist_video_wall_shared.gd, which 
% plays the movie of a DVD, selecting audio-track 0 and chapter 2.
% It splits the video in two parts and displays each part in two windows
% running on different hosts. The GD shown below dynamically adds 
% another host showing a different section of the video.
%
% Note: A serverregistry must be running on all participating hosts
%
% command:  clic dist_video_wall_shared2.gd

  DVDReadNode   # setSharingType(SHARED)
! MPEGDemuxNode # setSharingType(SHARED)
{
   { ["mpeg_video0"] ! MPEGVideoDecodeNode  # setLocation("frame")
                     ! VideoCropNode        # setLocation("frame")
                                            $ setCrop(192,0,384, 288) INITIALIZED
                     ! XDisplayNode         # setLocation("frame")  
   }
}
