
#include "IFileMetaInformationImpl.hpp"


namespace NMM
{
  
  void IFileMetaInformationImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(IFileMetaInformation::fillMetaInformation_event, new TEDObject1<IFileMetaInformationImpl, string, bool(IFileMetaInformationImpl:: * )(const string&), bool >(this, &IFileMetaInformationImpl::fillMetaInformation));
  
    getEventDispatcher().registerEvent(IFileMetaInformation::getAccessTime_event, new TEDObject0<IFileMetaInformationImpl, string(IFileMetaInformationImpl:: * )(), string >(this, &IFileMetaInformationImpl::getAccessTime));
  
    getEventDispatcher().registerEvent(IFileMetaInformation::getNumAccessTime_event, new TEDObject0<IFileMetaInformationImpl, long(IFileMetaInformationImpl:: * )(), long >(this, &IFileMetaInformationImpl::getNumAccessTime));
  
    getEventDispatcher().registerEvent(IFileMetaInformation::getModifyTime_event, new TEDObject0<IFileMetaInformationImpl, string(IFileMetaInformationImpl:: * )(), string >(this, &IFileMetaInformationImpl::getModifyTime));
  
    getEventDispatcher().registerEvent(IFileMetaInformation::getNumModifyTime_event, new TEDObject0<IFileMetaInformationImpl, long(IFileMetaInformationImpl:: * )(), long >(this, &IFileMetaInformationImpl::getNumModifyTime));
  
    getEventDispatcher().registerEvent(IFileMetaInformation::getCreationTime_event, new TEDObject0<IFileMetaInformationImpl, string(IFileMetaInformationImpl:: * )(), string >(this, &IFileMetaInformationImpl::getCreationTime));
  
    getEventDispatcher().registerEvent(IFileMetaInformation::getNumCreationTime_event, new TEDObject0<IFileMetaInformationImpl, long(IFileMetaInformationImpl:: * )(), long >(this, &IFileMetaInformationImpl::getNumCreationTime));
  
    getEventDispatcher().registerEvent(IFileMetaInformation::getTitle_event, new TEDObject0<IFileMetaInformationImpl, string(IFileMetaInformationImpl:: * )(), string >(this, &IFileMetaInformationImpl::getTitle));
  
    getEventDispatcher().registerEvent(IFileMetaInformation::getAlbum_event, new TEDObject0<IFileMetaInformationImpl, string(IFileMetaInformationImpl:: * )(), string >(this, &IFileMetaInformationImpl::getAlbum));
  
    getEventDispatcher().registerEvent(IFileMetaInformation::getArtist_event, new TEDObject0<IFileMetaInformationImpl, string(IFileMetaInformationImpl:: * )(), string >(this, &IFileMetaInformationImpl::getArtist));
  
    getEventDispatcher().registerEvent(IFileMetaInformation::getGenre_event, new TEDObject0<IFileMetaInformationImpl, string(IFileMetaInformationImpl:: * )(), string >(this, &IFileMetaInformationImpl::getGenre));
  
    getEventDispatcher().registerEvent(IFileMetaInformation::getDate_event, new TEDObject0<IFileMetaInformationImpl, string(IFileMetaInformationImpl:: * )(), string >(this, &IFileMetaInformationImpl::getDate));
  
    getEventDispatcher().registerEvent(IFileMetaInformation::getMimeType_event, new TEDObject0<IFileMetaInformationImpl, string(IFileMetaInformationImpl:: * )(), string >(this, &IFileMetaInformationImpl::getMimeType));
  
    getEventDispatcher().registerEvent(IFileMetaInformation::getAudioFormat_event, new TEDObject0<IFileMetaInformationImpl, string(IFileMetaInformationImpl:: * )(), string >(this, &IFileMetaInformationImpl::getAudioFormat));
  
    getEventDispatcher().registerEvent(IFileMetaInformation::getVideoFormat_event, new TEDObject0<IFileMetaInformationImpl, string(IFileMetaInformationImpl:: * )(), string >(this, &IFileMetaInformationImpl::getVideoFormat));
  
    getEventDispatcher().registerEvent(IFileMetaInformation::getMode_event, new TEDObject0<IFileMetaInformationImpl, int(IFileMetaInformationImpl:: * )(), int >(this, &IFileMetaInformationImpl::getMode));
  
    getEventDispatcher().registerEvent(IFileMetaInformation::getIsDir_event, new TEDObject0<IFileMetaInformationImpl, bool(IFileMetaInformationImpl:: * )(), bool >(this, &IFileMetaInformationImpl::getIsDir));

  }

}


