
#ifndef NMM_ITaskMgrState_HPP
#define NMM_ITaskMgrState_HPP

#include "nmm/NMMTypes.hpp"
#include "nmm/base/Interface.hpp"
#include "nmm/base/Event.hpp"
#include <memory>


namespace NMM
{

  class ITaskMgrState : virtual public Interface { 
  public:
    ITaskMgrState() {  setTypeInfo(TypeInfo(ITaskMgrState::ITaskMgrState_type, "NMM")); };

    ITaskMgrState(NMMObject& parent) : Interface(parent) {  setTypeInfo(TypeInfo(ITaskMgrState::ITaskMgrState_type, "NMM")); setEventReceiver(parent); };

    virtual ~ITaskMgrState() {};

    static const char* ITaskMgrState_type;

    virtual  string getInterfaceType() const { return ITaskMgrState_type; }

    Interface* copy() const { return new ITaskMgrState(*this); }
    static const char* getTaskList_event;

    virtual void getTaskList(list<string > & tasks)
      throw(const Exception&);


  };

  typedef auto_ptr<ITaskMgrState> ITaskMgrState_var;




}

#endif
