
#ifndef NMM_IMPEGDemuxImpl_HPP
#define NMM_IMPEGDemuxImpl_HPP

#include "nmm/NMMTypes.hpp"
#include "nmm/base/NMMObject.hpp"
#include "IMPEGDemux.hpp"


namespace NMM
{

  class IMPEGDemuxImpl  : public virtual NMMObject { 
  public:
    IMPEGDemuxImpl() { addInterface(new IMPEGDemux(*this)); registerEvents(); };

    virtual ~IMPEGDemuxImpl() {};

  protected:

    virtual void setVideoStream(const int& stream) = 0;

    virtual void setAudioStream(const int& stream) = 0;

    virtual void setSPUStream(const int& stream) = 0;

    virtual void setDVDMode(const bool& stream) = 0;


  private:
    void registerEvents();
  };

}

#endif
