
#ifndef NMM_IFormatChangeImpl_HPP
#define NMM_IFormatChangeImpl_HPP

#include "nmm/NMMTypes.hpp"
#include "nmm/base/NMMObject.hpp"
#include "IFormatChange.hpp"


namespace NMM
{

  class IFormatChangeImpl  : public virtual NMMObject { 
  public:
    IFormatChangeImpl() { addInterface(new IFormatChange(*this)); registerEvents(); };

    virtual ~IFormatChangeImpl() {};

  protected:

    virtual Result setFormat(const Format& new_format) /* in-stream */  = 0;


  private:
    void registerEvents();
  };

}

#endif
