
#ifndef NMM_ISyncResetImpl_HPP
#define NMM_ISyncResetImpl_HPP

#include "nmm/NMMTypes.hpp"
#include "nmm/base/NMMObject.hpp"
#include "ISyncReset.hpp"


namespace NMM
{

  class ISyncResetImpl  : public virtual NMMObject { 
  public:
    ISyncResetImpl() { addInterface(new ISyncReset(*this)); registerEvents(); };

    virtual ~ISyncResetImpl() {};

  protected:

    virtual Result syncReset() /* in-stream */  = 0;


  private:
    void registerEvents();
  };

}

#endif
