
#include "IDeviceImpl.hpp"


namespace NMM
{
  
  void IDeviceImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(IDevice::setDevice_event, new TEDObject1<IDeviceImpl, string, void(IDeviceImpl:: * )(const string&), void >(this, &IDeviceImpl::setDevice));
    getEventDispatcher().addLimited(IDevice::setDevice_event, INode::CONSTRUCTED);
  
    getEventDispatcher().registerEvent(IDevice::getDevice_event, new TEDObject0<IDeviceImpl, string(IDeviceImpl:: * )() const, string >(this, &IDeviceImpl::getDevice));

  }

}


