
#include "IFileModeHandlerImpl.hpp"


namespace NMM
{
  
  void IFileModeHandlerImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(IFileModeHandler::setMode_event, new TEDObject1<IFileModeHandlerImpl, IFileModeHandler::FileMode, void(IFileModeHandlerImpl:: * )(const IFileModeHandler::FileMode&), void >(this, &IFileModeHandlerImpl::setMode));
  
    getEventDispatcher().registerEvent(IFileModeHandler::getMode_event, new TEDObject0<IFileModeHandlerImpl, IFileModeHandler::FileMode(IFileModeHandlerImpl:: * )(), IFileModeHandler::FileMode >(this, &IFileModeHandlerImpl::getMode));
  
    getEventDispatcher().registerEvent(IFileModeHandler::setFormat_event, new TEDObject1<IFileModeHandlerImpl, IFileModeHandler::FileFormat, void(IFileModeHandlerImpl:: * )(const IFileModeHandler::FileFormat&), void >(this, &IFileModeHandlerImpl::setFormat));
  
    getEventDispatcher().registerEvent(IFileModeHandler::getFormat_event, new TEDObject0<IFileModeHandlerImpl, IFileModeHandler::FileFormat(IFileModeHandlerImpl:: * )(), IFileModeHandler::FileFormat >(this, &IFileModeHandlerImpl::getFormat));
  
    getEventDispatcher().registerEvent(IFileModeHandler::setFilenameMode_event, new TEDObject1<IFileModeHandlerImpl, IFileModeHandler::FilenameMode, void(IFileModeHandlerImpl:: * )(const IFileModeHandler::FilenameMode&), void >(this, &IFileModeHandlerImpl::setFilenameMode));
  
    getEventDispatcher().registerEvent(IFileModeHandler::getFilenameMode_event, new TEDObject0<IFileModeHandlerImpl, IFileModeHandler::FilenameMode(IFileModeHandlerImpl:: * )(), IFileModeHandler::FilenameMode >(this, &IFileModeHandlerImpl::getFilenameMode));
  
    getEventDispatcher().registerEvent(IFileModeHandler::setLoop_event, new TEDObject1<IFileModeHandlerImpl, bool, void(IFileModeHandlerImpl:: * )(const bool&), void >(this, &IFileModeHandlerImpl::setLoop));

  }

}


