
#ifndef NMM_IPNGWriteImpl_HPP
#define NMM_IPNGWriteImpl_HPP

#include "nmm/NMMTypes.hpp"
#include "nmm/base/NMMObject.hpp"
#include "IPNGWrite.hpp"


namespace NMM
{

  class IPNGWriteImpl  : public virtual NMMObject { 
  public:
    IPNGWriteImpl() { addInterface(new IPNGWrite(*this)); registerEvents(); };

    virtual ~IPNGWriteImpl() {};

  protected:

    virtual void setDiscardImages(const bool& discardImages) = 0;


  private:
    void registerEvents();
  };

}

#endif
