
#include "INxtvepgPluginImpl.hpp"


namespace NMM
{
  
  void INxtvepgPluginImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(INxtvepgPlugin::setLocation_event, new TEDObject1<INxtvepgPluginImpl, string, void(INxtvepgPluginImpl:: * )(const string&), void >(this, &INxtvepgPluginImpl::setLocation));
  
    getEventDispatcher().registerEvent(INxtvepgPlugin::setPort_event, new TEDObject1<INxtvepgPluginImpl, int, void(INxtvepgPluginImpl:: * )(const int&), void >(this, &INxtvepgPluginImpl::setPort));
  
    getEventDispatcher().registerEvent(INxtvepgPlugin::addProvider_event, new TEDObject1<INxtvepgPluginImpl, string, void(INxtvepgPluginImpl:: * )(const string&), void >(this, &INxtvepgPluginImpl::addProvider));
  
    getEventDispatcher().registerEvent(INxtvepgPlugin::getProvider_event, new TEDObject0<INxtvepgPluginImpl, list<string > (INxtvepgPluginImpl:: * )(), list<string >  >(this, &INxtvepgPluginImpl::getProvider));
  
    getEventDispatcher().registerEvent(INxtvepgPlugin::setConfigFile_event, new TEDObject1<INxtvepgPluginImpl, string, void(INxtvepgPluginImpl:: * )(const string&), void >(this, &INxtvepgPluginImpl::setConfigFile));
  
    getEventDispatcher().registerEvent(INxtvepgPlugin::getConfigFile_event, new TEDObject0<INxtvepgPluginImpl, string(INxtvepgPluginImpl:: * )(), string >(this, &INxtvepgPluginImpl::getConfigFile));
  
    getEventDispatcher().registerEvent(INxtvepgPlugin::setDBDir_event, new TEDObject1<INxtvepgPluginImpl, string, void(INxtvepgPluginImpl:: * )(const string&), void >(this, &INxtvepgPluginImpl::setDBDir));
  
    getEventDispatcher().registerEvent(INxtvepgPlugin::getDBDir_event, new TEDObject0<INxtvepgPluginImpl, string(INxtvepgPluginImpl:: * )(), string >(this, &INxtvepgPluginImpl::getDBDir));
  
    getEventDispatcher().registerEvent(INxtvepgPlugin::setLocale_event, new TEDObject1<INxtvepgPluginImpl, string, void(INxtvepgPluginImpl:: * )(const string&), void >(this, &INxtvepgPluginImpl::setLocale));
  
    getEventDispatcher().registerEvent(INxtvepgPlugin::getLocale_event, new TEDObject0<INxtvepgPluginImpl, string(INxtvepgPluginImpl:: * )(), string >(this, &INxtvepgPluginImpl::getLocale));
  
    getEventDispatcher().registerEvent(INxtvepgPlugin::setPeriod_event, new TEDObject1<INxtvepgPluginImpl, string, void(INxtvepgPluginImpl:: * )(const string&), void >(this, &INxtvepgPluginImpl::setPeriod));
  
    getEventDispatcher().registerEvent(INxtvepgPlugin::getPeriod_event, new TEDObject0<INxtvepgPluginImpl, string(INxtvepgPluginImpl:: * )(), string >(this, &INxtvepgPluginImpl::getPeriod));
  
    getEventDispatcher().registerEvent(INxtvepgPlugin::setUseTv_split_event, new TEDObject1<INxtvepgPluginImpl, bool, void(INxtvepgPluginImpl:: * )(const bool&), void >(this, &INxtvepgPluginImpl::setUseTv_split));
  
    getEventDispatcher().registerEvent(INxtvepgPlugin::getUseTv_split_event, new TEDObject0<INxtvepgPluginImpl, bool(INxtvepgPluginImpl:: * )(), bool >(this, &INxtvepgPluginImpl::getUseTv_split));

  }

}


