
#include "ITVGuidePluginImpl.hpp"


namespace NMM
{
  
  void ITVGuidePluginImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(ITVGuidePlugin::getName_event, new TEDObject0<ITVGuidePluginImpl, string(ITVGuidePluginImpl:: * )(), string >(this, &ITVGuidePluginImpl::getName));
  
    getEventDispatcher().registerEvent(ITVGuidePlugin::start_event, new TEDObject0<ITVGuidePluginImpl, Result(ITVGuidePluginImpl:: * )(), Result >(this, &ITVGuidePluginImpl::start));
  
    getEventDispatcher().registerEvent(ITVGuidePlugin::stop_event, new TEDObject0<ITVGuidePluginImpl, Result(ITVGuidePluginImpl:: * )(), Result >(this, &ITVGuidePluginImpl::stop));
  
    getEventDispatcher().registerEvent(ITVGuidePlugin::enable_event, new TEDObject0<ITVGuidePluginImpl, void(ITVGuidePluginImpl:: * )(), void >(this, &ITVGuidePluginImpl::enable));
  
    getEventDispatcher().registerEvent(ITVGuidePlugin::disable_event, new TEDObject0<ITVGuidePluginImpl, void(ITVGuidePluginImpl:: * )(), void >(this, &ITVGuidePluginImpl::disable));
  
    getEventDispatcher().registerEvent(ITVGuidePlugin::init_event, new TEDObject0<ITVGuidePluginImpl, Result(ITVGuidePluginImpl:: * )(), Result >(this, &ITVGuidePluginImpl::init));
  
    getEventDispatcher().registerEvent(ITVGuidePlugin::deinit_event, new TEDObject0<ITVGuidePluginImpl, Result(ITVGuidePluginImpl:: * )(), Result >(this, &ITVGuidePluginImpl::deinit));
  
    getEventDispatcher().registerEvent(ITVGuidePlugin::getEnabled_event, new TEDObject0<ITVGuidePluginImpl, bool(ITVGuidePluginImpl:: * )(), bool >(this, &ITVGuidePluginImpl::getEnabled));
  
    getEventDispatcher().registerEvent(ITVGuidePlugin::getState_event, new TEDObject0<ITVGuidePluginImpl, ITVGuidePlugin::State(ITVGuidePluginImpl:: * )(), ITVGuidePlugin::State >(this, &ITVGuidePluginImpl::getState));

  }

}


