
#ifndef NMM_IKeyframeImpl_HPP
#define NMM_IKeyframeImpl_HPP

#include "nmm/NMMTypes.hpp"
#include "nmm/base/NMMObject.hpp"
#include "IKeyframe.hpp"


namespace NMM
{

  class IKeyframeImpl  : public virtual NMMObject { 
  public:
    IKeyframeImpl() { addInterface(new IKeyframe(*this)); registerEvents(); };

    virtual ~IKeyframeImpl() {};

  protected:

    virtual Result setKeyframe() /* in-stream */  = 0;


  private:
    void registerEvents();
  };

}

#endif
