
#include "IOverlayImpl.hpp"


namespace NMM
{
  
  void IOverlayImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(IOverlay::setAlpha_event, new TEDObject1<IOverlayImpl, float, void(IOverlayImpl:: * )(const float&), void >(this, &IOverlayImpl::setAlpha));
  
    getEventDispatcher().registerEvent(IOverlay::getAlpha_event, new TEDObject0<IOverlayImpl, float(IOverlayImpl:: * )() const, float >(this, &IOverlayImpl::getAlpha));
  
    getEventDispatcher().registerEvent(IOverlay::setForeground_event, new TEDObject4<IOverlayImpl, int, int, int, int, void(IOverlayImpl:: * )(const int&, const int&, const int&, const int&), void >(this, &IOverlayImpl::setForeground));
  
    getEventDispatcher().registerEvent(IOverlay::setForegroundSegment_event, new TEDObject4<IOverlayImpl, int, int, int, int, void(IOverlayImpl:: * )(const int&, const int&, const int&, const int&), void >(this, &IOverlayImpl::setForegroundSegment));
  
    getEventDispatcher().registerEvent(IOverlay::disableOverlay_event, new TEDObject0<IOverlayImpl, Result(IOverlayImpl:: * )(), Result >(this, &IOverlayImpl::disableOverlay));

  }

}


