
#include "IBitmapReaderImpl.hpp"


namespace NMM
{
  
  void IBitmapReaderImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(IBitmapReader::loadImage_event, new TEDObject3<IBitmapReaderImpl, string, string, IBitmapReader::Format, bool(IBitmapReaderImpl:: * )(const string&, const string&, const IBitmapReader::Format&), bool >(this, &IBitmapReaderImpl::loadImage));
  
    getEventDispatcher().registerEvent(IBitmapReader::getImage_event, new TEDObject3<IBitmapReaderImpl, string, unsigned int, unsigned int, void(IBitmapReaderImpl:: * )(const string&, unsigned int&, unsigned int&), void >(this, &IBitmapReaderImpl::getImage));
  
    getEventDispatcher().registerEvent(IBitmapReader::createImage_event, new TEDObject7<IBitmapReaderImpl, string, unsigned int, unsigned int, unsigned int, unsigned int, unsigned int, IBitmapReader::Format, bool(IBitmapReaderImpl:: * )(const string&, const unsigned int&, const unsigned int&, const unsigned int&, const unsigned int&, const unsigned int&, const IBitmapReader::Format&), bool >(this, &IBitmapReaderImpl::createImage));
  
    getEventDispatcher().registerEvent(IBitmapReader::freeImage_event, new TEDObject1<IBitmapReaderImpl, string, void(IBitmapReaderImpl:: * )(const string&), void >(this, &IBitmapReaderImpl::freeImage));
  
    getEventDispatcher().registerEvent(IBitmapReader::freeAll_event, new TEDObject0<IBitmapReaderImpl, void(IBitmapReaderImpl:: * )(), void >(this, &IBitmapReaderImpl::freeAll));

  }

}


