
#include "IMMBoxStateImpl.hpp"


namespace NMM
{
  
  void IMMBoxStateImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(IMMBoxState::initialize_event, new TEDObject1<IMMBoxStateImpl, string, Result(IMMBoxStateImpl:: * )(const string&), Result >(this, &IMMBoxStateImpl::initialize));
  
    getEventDispatcher().registerEvent(IMMBoxState::uninitialize_event, new TEDObject0<IMMBoxStateImpl, Result(IMMBoxStateImpl:: * )(), Result >(this, &IMMBoxStateImpl::uninitialize));
  
    getEventDispatcher().registerEvent(IMMBoxState::create_event, new TEDObject1<IMMBoxStateImpl, string, Result(IMMBoxStateImpl:: * )(const string&), Result >(this, &IMMBoxStateImpl::create));
  
    getEventDispatcher().registerEvent(IMMBoxState::kill_event, new TEDObject0<IMMBoxStateImpl, Result(IMMBoxStateImpl:: * )(), Result >(this, &IMMBoxStateImpl::kill));

  }
  
  void IDistMMBoxStateImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(IDistMMBoxState::createNode_event, new TEDObject1<IDistMMBoxStateImpl, NodeDescription, INode*(IDistMMBoxStateImpl:: * )(const NodeDescription&), INode* >(this, &IDistMMBoxStateImpl::createNode));
  
    getEventDispatcher().registerEvent(IDistMMBoxState::getAudioNode_event, new TEDObject0<IDistMMBoxStateImpl, INode*(IDistMMBoxStateImpl:: * )(), INode* >(this, &IDistMMBoxStateImpl::getAudioNode));
  
    getEventDispatcher().registerEvent(IDistMMBoxState::getOsdNode_event, new TEDObject0<IDistMMBoxStateImpl, INode*(IDistMMBoxStateImpl:: * )(), INode* >(this, &IDistMMBoxStateImpl::getOsdNode));
  
    getEventDispatcher().registerEvent(IDistMMBoxState::getDisplayNode_event, new TEDObject0<IDistMMBoxStateImpl, INode*(IDistMMBoxStateImpl:: * )(), INode* >(this, &IDistMMBoxStateImpl::getDisplayNode));
  
    getEventDispatcher().registerEvent(IDistMMBoxState::setNeedVideo_event, new TEDObject1<IDistMMBoxStateImpl, bool, void(IDistMMBoxStateImpl:: * )(const bool&), void >(this, &IDistMMBoxStateImpl::setNeedVideo));
  
    getEventDispatcher().registerEvent(IDistMMBoxState::setNeedAudio_event, new TEDObject1<IDistMMBoxStateImpl, bool, void(IDistMMBoxStateImpl:: * )(const bool&), void >(this, &IDistMMBoxStateImpl::setNeedAudio));

  }
  
  void IDistMP3StateImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(IDistMP3State::getMPEGAudioDecodeNode_event, new TEDObject0<IDistMP3StateImpl, INode*(IDistMP3StateImpl:: * )(), INode* >(this, &IDistMP3StateImpl::getMPEGAudioDecodeNode));
  
    getEventDispatcher().registerEvent(IDistMP3State::getMPEGAudioInputJack_event, new TEDObject0<IDistMP3StateImpl, IInputJack*(IDistMP3StateImpl:: * )(), IInputJack* >(this, &IDistMP3StateImpl::getMPEGAudioInputJack));
  
    getEventDispatcher().registerEvent(IDistMP3State::getPlaybackNode_event, new TEDObject0<IDistMP3StateImpl, INode*(IDistMP3StateImpl:: * )(), INode* >(this, &IDistMP3StateImpl::getPlaybackNode));
  
    getEventDispatcher().registerEvent(IDistMP3State::addTextLine_event, new TEDObject1<IDistMP3StateImpl, string, void(IDistMP3StateImpl:: * )(const string&), void >(this, &IDistMP3StateImpl::addTextLine));
  
    getEventDispatcher().registerEvent(IDistMP3State::selectTextLine_event, new TEDObject1<IDistMP3StateImpl, unsigned int, void(IDistMP3StateImpl:: * )(const unsigned int&), void >(this, &IDistMP3StateImpl::selectTextLine));

  }

}


