
#ifndef NMM_IOggVorbisImpl_HPP
#define NMM_IOggVorbisImpl_HPP

#include "nmm/NMMTypes.hpp"
#include "nmm/base/NMMObject.hpp"
#include "IOggVorbis.hpp"


namespace NMM
{

  class IOggVorbisImpl  : public virtual NMMObject { 
  public:
    IOggVorbisImpl() { addInterface(new IOggVorbis(*this)); registerEvents(); };

    virtual ~IOggVorbisImpl() {};

  protected:

    virtual string getUserComments() = 0;

    virtual string getVendor() = 0;


  private:
    void registerEvents();
  };

}

#endif
