
#ifndef NMM_IFilterNodeImpl_HPP
#define NMM_IFilterNodeImpl_HPP

#include "nmm/NMMTypes.hpp"
#include "nmm/base/NMMObject.hpp"
#include "IFilterNode.hpp"


namespace NMM
{

  class IFilterNodeImpl  : public virtual NMMObject { 
  public:
    IFilterNodeImpl() { addInterface(new IFilterNode(*this)); registerEvents(); };

    virtual ~IFilterNodeImpl() {};

  protected:

    virtual void setEnabled(const bool& enable) = 0;

    virtual bool isEnabled() = 0;


  private:
    void registerEvents();
  };

}

#endif
