
#include "IInputJackImpl.hpp"

#include "IOutputJack.hpp"
#include "nmm/base/CommunicationChannel.hpp"

namespace NMM
{
  
  void IInputJackImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(IInputJack::connectTo_event, new TEDObject1<IInputJackImpl, IOutputJack, CommunicationChannel*(IInputJackImpl:: * )(const IOutputJack&), CommunicationChannel* >(this, &IInputJackImpl::connectTo));
  
    getEventDispatcher().registerEvent(IInputJack::getDataPartner_event, new TEDObject0<IInputJackImpl, IOutputJack*(IInputJackImpl:: * )(), IOutputJack* >(this, &IInputJackImpl::getDataPartner));
  
    getEventDispatcher().registerEvent(IInputJack::getTransportStrategy_event, new TEDObject0<IInputJackImpl, ITransportStrategy*(IInputJackImpl:: * )(), ITransportStrategy* >(this, &IInputJackImpl::getTransportStrategy));

  }

}


