
#include "ICompositeNodeImpl.hpp"


namespace NMM
{
  
  void ICompositeNodeImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(ICompositeNode::addNode_event, new TEDObject1<ICompositeNodeImpl, INode, unsigned int(ICompositeNodeImpl:: * )(const INode&), unsigned int >(this, &ICompositeNodeImpl::addNode));
    getEventDispatcher().addLimited(ICompositeNode::addNode_event, INode::CONSTRUCTED);
  
    getEventDispatcher().registerEvent(ICompositeNode::addNodeWithInterfaces_event, new TEDObject2<ICompositeNodeImpl, INode, list<Interface* > , unsigned int(ICompositeNodeImpl:: * )(const INode&, const list<Interface* > &), unsigned int >(this, &ICompositeNodeImpl::addNodeWithInterfaces));
    getEventDispatcher().addLimited(ICompositeNode::addNodeWithInterfaces_event, INode::CONSTRUCTED);
  
    getEventDispatcher().registerEvent(ICompositeNode::renameInputJackTag_event, new TEDObject2<ICompositeNodeImpl, string, string, Result(ICompositeNodeImpl:: * )(const string&, const string&), Result >(this, &ICompositeNodeImpl::renameInputJackTag));
    getEventDispatcher().addLimited(ICompositeNode::renameInputJackTag_event, INode::INITIALIZED);
  
    getEventDispatcher().registerEvent(ICompositeNode::renameOutputJackTag_event, new TEDObject2<ICompositeNodeImpl, string, string, Result(ICompositeNodeImpl:: * )(const string&, const string&), Result >(this, &ICompositeNodeImpl::renameOutputJackTag));
    getEventDispatcher().addLimited(ICompositeNode::renameOutputJackTag_event, INode::OUTPUT_INITIALIZED);

  }

}


