
#include "IControllerImpl.hpp"


namespace NMM
{
  
  void IPingImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(IPing::ping_event, new TEDObject0<IPingImpl, Time(IPingImpl:: * )(), Time >(this, &IPingImpl::ping));

  }
  
  void IControllerImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(IController::setMode_event, new TEDObject1<IControllerImpl, IController::Mode, Result(IControllerImpl:: * )(const IController::Mode&), Result >(this, &IControllerImpl::setMode));
  
    getEventDispatcher().registerEvent(IController::permitDiscardBuffers_event, new TEDObject1<IControllerImpl, bool, Result(IControllerImpl:: * )(const bool&), Result >(this, &IControllerImpl::permitDiscardBuffers));
  
    getEventDispatcher().registerEvent(IController::pause_event, new TEDObject0<IControllerImpl, Result(IControllerImpl:: * )(), Result >(this, &IControllerImpl::pause));
  
    getEventDispatcher().registerEvent(IController::wakeup_event, new TEDObject0<IControllerImpl, Result(IControllerImpl:: * )(), Result >(this, &IControllerImpl::wakeup));
  
    getEventDispatcher().registerEvent(IController::reset_event, new TEDObject0<IControllerImpl, Result(IControllerImpl:: * )(), Result >(this, &IControllerImpl::reset));
  
    getEventDispatcher().registerEvent(IController::setBuffersInvalid_event, new TEDObject1<IControllerImpl, bool, void(IControllerImpl:: * )(const bool&), void >(this, &IControllerImpl::setBuffersInvalid));
  
    getEventDispatcher().registerEvent(IController::setBuffersInvalidTimed_event, new TEDObject2<IControllerImpl, bool, Timestamp, void(IControllerImpl:: * )(const bool&, const Timestamp&), void >(this, &IControllerImpl::setBuffersInvalidTimed));

  }

}


