
#include "ISourceControllerImpl.hpp"

#include "ISourceSynchronizer.hpp"

namespace NMM
{
  
  void ISourceControllerImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(ISourceController::setMasterSkew_event, new TEDObject1<ISourceControllerImpl, Interval, void(ISourceControllerImpl:: * )(const Interval&), void >(this, &ISourceControllerImpl::setMasterSkew));
  
    getEventDispatcher().registerEvent(ISourceController::setStartTime_event, new TEDObject1<ISourceControllerImpl, Time, void(ISourceControllerImpl:: * )(const Time&), void >(this, &ISourceControllerImpl::setStartTime));
  
    getEventDispatcher().registerEvent(ISourceController::setSourceSynchronizer_event, new TEDObject1<ISourceControllerImpl, ISourceSynchronizer*, Result(ISourceControllerImpl:: * )(const ISourceSynchronizer*), Result >(this, &ISourceControllerImpl::setSourceSynchronizer));
  
    getEventDispatcher().registerEvent(ISourceController::setSyncMaster_event, new TEDObject1<ISourceControllerImpl, bool, void(ISourceControllerImpl:: * )(const bool&), void >(this, &ISourceControllerImpl::setSyncMaster));

  }

}


