
#include "ISynchronizedSourceImpl.hpp"


namespace NMM
{
  
  void ISynchronizedSourceImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(ISynchronizedSource::getController_event, new TEDObject0<ISynchronizedSourceImpl, ISourceController*(ISynchronizedSourceImpl:: * )(), ISourceController* >(this, &ISynchronizedSourceImpl::getController));
  
    getEventDispatcher().registerEvent(ISynchronizedSource::setSyncMaster_event, new TEDObject1<ISynchronizedSourceImpl, bool, void(ISynchronizedSourceImpl:: * )(const bool&), void >(this, &ISynchronizedSourceImpl::setSyncMaster));
  
    getEventDispatcher().registerEvent(ISynchronizedSource::isSyncMaster_event, new TEDObject0<ISynchronizedSourceImpl, bool(ISynchronizedSourceImpl:: * )(), bool >(this, &ISynchronizedSourceImpl::isSyncMaster));
  
    getEventDispatcher().registerEvent(ISynchronizedSource::setConstantRateProducer_event, new TEDObject1<ISynchronizedSourceImpl, bool, void(ISynchronizedSourceImpl:: * )(const bool&), void >(this, &ISynchronizedSourceImpl::setConstantRateProducer));
  
    getEventDispatcher().registerEvent(ISynchronizedSource::isConstantRateProducer_event, new TEDObject0<ISynchronizedSourceImpl, bool(ISynchronizedSourceImpl:: * )(), bool >(this, &ISynchronizedSourceImpl::isConstantRateProducer));

  }

}


