
#include "ICDDBImpl.hpp"


namespace NMM
{
  
  void ICDDBImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(ICDDB::setCDDBServer_event, new TEDObject2<ICDDBImpl, string, int, Result(ICDDBImpl:: * )(const string&, const int&), Result >(this, &ICDDBImpl::setCDDBServer));
  
    getEventDispatcher().registerEvent(ICDDB::getTrackName_event, new TEDObject1<ICDDBImpl, int, string(ICDDBImpl:: * )(const int&), string >(this, &ICDDBImpl::getTrackName));
  
    getEventDispatcher().registerEvent(ICDDB::getDiscTitle_event, new TEDObject0<ICDDBImpl, string(ICDDBImpl:: * )(), string >(this, &ICDDBImpl::getDiscTitle));
  
    getEventDispatcher().registerEvent(ICDDB::getDiscArtist_event, new TEDObject0<ICDDBImpl, string(ICDDBImpl:: * )(), string >(this, &ICDDBImpl::getDiscArtist));
  
    getEventDispatcher().registerEvent(ICDDB::setCDDB_event, new TEDObject1<ICDDBImpl, bool, void(ICDDBImpl:: * )(const bool&), void >(this, &ICDDBImpl::setCDDB));
  
    getEventDispatcher().registerEvent(ICDDB::getCDDB_event, new TEDObject0<ICDDBImpl, bool(ICDDBImpl:: * )(), bool >(this, &ICDDBImpl::getCDDB));

  }

}


