
#ifndef NMM_IBufferSize_HPP
#define NMM_IBufferSize_HPP

#include "nmm/NMMTypes.hpp"
#include "nmm/base/Interface.hpp"
#include "nmm/base/Event.hpp"
#include <memory>


namespace NMM
{

  class IBufferSize : virtual public Interface { 
  public:
    IBufferSize() {  setTypeInfo(TypeInfo(IBufferSize::IBufferSize_type, "NMM")); };

    IBufferSize(NMMObject& parent) : Interface(parent) {  setTypeInfo(TypeInfo(IBufferSize::IBufferSize_type, "NMM")); setEventReceiver(parent); };

    virtual ~IBufferSize() {};

    static const char* IBufferSize_type;

    virtual  string getInterfaceType() const { return IBufferSize_type; }

    Interface* copy() const { return new IBufferSize(*this); }
    static const char* setBufferSize_event;
    static const char* getBufferSize_event;

    virtual void setBufferSize(const int& value)
      throw(const Exception&);

    virtual int getBufferSize()
      throw(const Exception&);


  };

  typedef auto_ptr<IBufferSize> IBufferSize_var;




}

#endif
