
#ifndef NMM_IFileHandlerImpl_HPP
#define NMM_IFileHandlerImpl_HPP

#include "nmm/NMMTypes.hpp"
#include "nmm/base/NMMObject.hpp"
#include "IFileHandler.hpp"


namespace NMM
{

  class IFileHandlerImpl  : public virtual NMMObject { 
  public:
    IFileHandlerImpl() { addInterface(new IFileHandler(*this)); registerEvents(); };

    virtual ~IFileHandlerImpl() {};

  protected:

    virtual void setFilename(const string& name) = 0;


  private:
    void registerEvents();
  };

}

#endif
