
#ifndef NMM_IMultipleSourceFileHandlerImpl_HPP
#define NMM_IMultipleSourceFileHandlerImpl_HPP

#include "nmm/NMMTypes.hpp"
#include "nmm/base/NMMObject.hpp"
#include "IMultipleSourceFileHandler.hpp"

#include "nmm/interfaces/base/INodeImpl.hpp"

namespace NMM
{

  class IMultipleSourceFileHandlerImpl  : public virtual NMMObject { 
  public:
    IMultipleSourceFileHandlerImpl() { addInterface(new IMultipleSourceFileHandler(*this)); registerEvents(); };

    virtual ~IMultipleSourceFileHandlerImpl() {};

  protected:

    virtual void addFilename(const string& name) /* limited(INode::CONSTRUCTED) */ /* limited(INode::INITIALIZED) */ = 0;


  private:
    void registerEvents();
  };

}

#endif
