
#include "IXMLTVPluginImpl.hpp"


namespace NMM
{
  
  void IXMLTVPluginImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(IXMLTVPlugin::setFilename_event, new TEDObject1<IXMLTVPluginImpl, string, void(IXMLTVPluginImpl:: * )(const string&), void >(this, &IXMLTVPluginImpl::setFilename));
  
    getEventDispatcher().registerEvent(IXMLTVPlugin::getFilename_event, new TEDObject0<IXMLTVPluginImpl, string(IXMLTVPluginImpl:: * )(), string >(this, &IXMLTVPluginImpl::getFilename));
  
    getEventDispatcher().registerEvent(IXMLTVPlugin::setConfigFile_event, new TEDObject1<IXMLTVPluginImpl, string, void(IXMLTVPluginImpl:: * )(const string&), void >(this, &IXMLTVPluginImpl::setConfigFile));
  
    getEventDispatcher().registerEvent(IXMLTVPlugin::getConfigFile_event, new TEDObject0<IXMLTVPluginImpl, string(IXMLTVPluginImpl:: * )(), string >(this, &IXMLTVPluginImpl::getConfigFile));
  
    getEventDispatcher().registerEvent(IXMLTVPlugin::setLocale_event, new TEDObject1<IXMLTVPluginImpl, string, Result(IXMLTVPluginImpl:: * )(const string&), Result >(this, &IXMLTVPluginImpl::setLocale));
  
    getEventDispatcher().registerEvent(IXMLTVPlugin::getLocale_event, new TEDObject0<IXMLTVPluginImpl, string(IXMLTVPluginImpl:: * )(), string >(this, &IXMLTVPluginImpl::getLocale));
  
    getEventDispatcher().registerEvent(IXMLTVPlugin::setPeriod_event, new TEDObject1<IXMLTVPluginImpl, string, void(IXMLTVPluginImpl:: * )(const string&), void >(this, &IXMLTVPluginImpl::setPeriod));
  
    getEventDispatcher().registerEvent(IXMLTVPlugin::getPeriod_event, new TEDObject0<IXMLTVPluginImpl, string(IXMLTVPluginImpl:: * )(), string >(this, &IXMLTVPluginImpl::getPeriod));
  
    getEventDispatcher().registerEvent(IXMLTVPlugin::setFillHolesInDB_event, new TEDObject1<IXMLTVPluginImpl, bool, void(IXMLTVPluginImpl:: * )(const bool&), void >(this, &IXMLTVPluginImpl::setFillHolesInDB));
  
    getEventDispatcher().registerEvent(IXMLTVPlugin::getFillHolesInDB_event, new TEDObject0<IXMLTVPluginImpl, bool(IXMLTVPluginImpl:: * )(), bool >(this, &IXMLTVPluginImpl::getFillHolesInDB));

  }

}


