
#include "INetImpl.hpp"


namespace NMM
{
  
  void INetImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(INet::setTransportStrategy_event, new TEDObject1<INetImpl, TSAddress*, void(INetImpl:: * )(const TSAddress*), void >(this, &INetImpl::setTransportStrategy));
  
    getEventDispatcher().registerEvent(INet::setRTPStrategy_event, new TEDObject3<INetImpl, string, int, int, void(INetImpl:: * )(const string&, const int&, const int&), void >(this, &INetImpl::setRTPStrategy));
    getEventDispatcher().addLimited(INet::setRTPStrategy_event, INode::CONSTRUCTED);
  
    getEventDispatcher().registerEvent(INet::setPayloadType_event, new TEDObject1<INetImpl, int, void(INetImpl:: * )(const int&), void >(this, &INetImpl::setPayloadType));
  
    getEventDispatcher().registerEvent(INet::getPayloadType_event, new TEDObject0<INetImpl, int(INetImpl:: * )() const, int >(this, &INetImpl::getPayloadType));

  }

}


