
#include "ITCPControlImpl.hpp"


namespace NMM
{
  
  void ITCPControlImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(ITCPControl::enableNoDelay_event, new TEDObject1<ITCPControlImpl, bool, void(ITCPControlImpl:: * )(const bool&), void >(this, &ITCPControlImpl::enableNoDelay));
  
    getEventDispatcher().registerEvent(ITCPControl::isDelayEnabled_event, new TEDObject0<ITCPControlImpl, bool(ITCPControlImpl:: * )() const, bool >(this, &ITCPControlImpl::isDelayEnabled));
  
    getEventDispatcher().registerEvent(ITCPControl::setMaxSegment_event, new TEDObject1<ITCPControlImpl, int, void(ITCPControlImpl:: * )(const int&), void >(this, &ITCPControlImpl::setMaxSegment));
  
    getEventDispatcher().registerEvent(ITCPControl::getMaxSegment_event, new TEDObject0<ITCPControlImpl, int(ITCPControlImpl:: * )() const, int >(this, &ITCPControlImpl::getMaxSegment));
  
    getEventDispatcher().registerEvent(ITCPControl::enablePartialFrames_event, new TEDObject1<ITCPControlImpl, bool, void(ITCPControlImpl:: * )(const bool&), void >(this, &ITCPControlImpl::enablePartialFrames));
  
    getEventDispatcher().registerEvent(ITCPControl::isPartialFramesEnabled_event, new TEDObject0<ITCPControlImpl, bool(ITCPControlImpl:: * )(), bool >(this, &ITCPControlImpl::isPartialFramesEnabled));
  
    getEventDispatcher().registerEvent(ITCPControl::getUnreadQueueCount_event, new TEDObject0<ITCPControlImpl, int(ITCPControlImpl:: * )() const, int >(this, &ITCPControlImpl::getUnreadQueueCount));
  
    getEventDispatcher().registerEvent(ITCPControl::allUrgentDataSend_event, new TEDObject0<ITCPControlImpl, bool(ITCPControlImpl:: * )() const, bool >(this, &ITCPControlImpl::allUrgentDataSend));
  
    getEventDispatcher().registerEvent(ITCPControl::getUnsendQueueCount_event, new TEDObject0<ITCPControlImpl, int(ITCPControlImpl:: * )() const, int >(this, &ITCPControlImpl::getUnsendQueueCount));
  
    getEventDispatcher().registerEvent(ITCPControl::enableKeepAlive_event, new TEDObject1<ITCPControlImpl, bool, void(ITCPControlImpl:: * )(const bool&), void >(this, &ITCPControlImpl::enableKeepAlive));
  
    getEventDispatcher().registerEvent(ITCPControl::getKeepAlive_event, new TEDObject0<ITCPControlImpl, bool(ITCPControlImpl:: * )() const, bool >(this, &ITCPControlImpl::getKeepAlive));
  
    getEventDispatcher().registerEvent(ITCPControl::setRecvBufferSize_event, new TEDObject1<ITCPControlImpl, int, void(ITCPControlImpl:: * )(const int&), void >(this, &ITCPControlImpl::setRecvBufferSize));
  
    getEventDispatcher().registerEvent(ITCPControl::getRecvBufferSize_event, new TEDObject0<ITCPControlImpl, int(ITCPControlImpl:: * )() const, int >(this, &ITCPControlImpl::getRecvBufferSize));
  
    getEventDispatcher().registerEvent(ITCPControl::setSendBufferSize_event, new TEDObject1<ITCPControlImpl, int, void(ITCPControlImpl:: * )(const int&), void >(this, &ITCPControlImpl::setSendBufferSize));
  
    getEventDispatcher().registerEvent(ITCPControl::getSendBufferSize_event, new TEDObject0<ITCPControlImpl, int(ITCPControlImpl:: * )() const, int >(this, &ITCPControlImpl::getSendBufferSize));
  
    getEventDispatcher().registerEvent(ITCPControl::setPriority_event, new TEDObject1<ITCPControlImpl, int, void(ITCPControlImpl:: * )(const int&), void >(this, &ITCPControlImpl::setPriority));
  
    getEventDispatcher().registerEvent(ITCPControl::getPriority_event, new TEDObject0<ITCPControlImpl, int(ITCPControlImpl:: * )() const, int >(this, &ITCPControlImpl::getPriority));

  }

}


