
#ifndef NMM_IURLImpl_HPP
#define NMM_IURLImpl_HPP

#include "nmm/NMMTypes.hpp"
#include "nmm/base/NMMObject.hpp"
#include "IURL.hpp"


namespace NMM
{

  class IURLImpl  : public virtual NMMObject { 
  public:
    IURLImpl() { addInterface(new IURL(*this)); registerEvents(); };

    virtual ~IURLImpl() {};

  protected:

    virtual void setURL(const string& url) = 0;

    virtual string getURL() const = 0;


  private:
    void registerEvents();
  };

}

#endif
