
#ifndef NMM_ICropImpl_HPP
#define NMM_ICropImpl_HPP

#include "nmm/NMMTypes.hpp"
#include "nmm/base/NMMObject.hpp"
#include "ICrop.hpp"

#include "nmm/interfaces/base/INodeImpl.hpp"

namespace NMM
{

  class ICropImpl  : public virtual NMMObject { 
  public:
    ICropImpl() { addInterface(new ICrop(*this)); registerEvents(); };

    virtual ~ICropImpl() {};

  protected:

    virtual void setCrop(const int& xOffset, const int& yOffset, const int& xRange, const int& yRange) /* required(INode::INITIALIZED, INode::OUTPUT_INITIALIZED) */ /* limited(INode::INITIALIZED) */ = 0;


  private:
    void registerEvents();
  };

}

#endif
