
#include "IFrameCount.hpp"
#include "nmm/base/InterfaceFactory.hpp"


namespace NMM
{
  
  
  int IFrameCount::getFrameCount() const
      throw(const Exception&)
  {
    TOutValue<int > return_value;
    Event event("IFrameCount::getFrameCount");
    event.setReturnValue(&return_value);
    if(sendEvent(event) == FAILURE) {
      if (event.getException()) {
        throw Exception(*event.getException());
      }
    }
    return return_value.getRValue();
  }

  const char* IFrameCount::IFrameCount_type = "IFrameCount";
  TIFactoryObject<IFrameCount > __IFrameCount_prototype("IFrameCount");


  const char* IFrameCount::getFrameCount_event = "IFrameCount::getFrameCount";


}


