
#include "IXWindowID.hpp"
#include "nmm/base/InterfaceFactory.hpp"


namespace NMM
{
  
  
  unsigned long IXWindowID::getWindowID()
      throw(const Exception&)
  {
    TOutValue<unsigned long > return_value;
    Event event("IXWindowID::getWindowID");
    event.setReturnValue(&return_value);
    if(sendEvent(event) == FAILURE) {
      if (event.getException()) {
        throw Exception(*event.getException());
      }
    }
    return return_value.getRValue();
  }

  const char* IXWindowID::IXWindowID_type = "IXWindowID";
  TIFactoryObject<IXWindowID > __IXWindowID_prototype("IXWindowID");


  const char* IXWindowID::getWindowID_event = "IXWindowID::getWindowID";


}


