
#ifndef NMM_ISetOffsetImpl_HPP
#define NMM_ISetOffsetImpl_HPP

#include "nmm/NMMTypes.hpp"
#include "nmm/base/NMMObject.hpp"
#include "ISetOffset.hpp"


namespace NMM
{

  class ISetOffsetImpl  : public virtual NMMObject { 
  public:
    ISetOffsetImpl() { addInterface(new ISetOffset(*this)); registerEvents(); };

    virtual ~ISetOffsetImpl() {};

  protected:

    virtual void setOffset(const int& x, const int& y) = 0;

    virtual void getOffset(int& x, int& y) const = 0;


  private:
    void registerEvents();
  };

}

#endif
