
#ifndef NMM_IOSDImpl_HPP
#define NMM_IOSDImpl_HPP

#include "nmm/NMMTypes.hpp"
#include "nmm/base/NMMObject.hpp"
#include "IOSD.hpp"

#include "IOSDSetFontImpl.hpp"

namespace NMM
{

  class IOSDImpl  : virtual public IOSDSetFontImpl { 
  public:
    IOSDImpl() { addInterface(new IOSD(*this)); registerEvents(); };

    virtual ~IOSDImpl() {};

  protected:

    virtual Result setText(const string& text) = 0;


  private:
    void registerEvents();
  };

}

#endif
