
#include "IEPGImpl.hpp"


namespace NMM
{
  
  void IEPGImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(IEPG::getCurrentShow_event, new TEDObject0<IEPGImpl, string(IEPGImpl:: * )(), string >(this, &IEPGImpl::getCurrentShow));
    getEventDispatcher().addLimited(IEPG::getCurrentShow_event, INode::INITIALIZED);
    getEventDispatcher().addLimited(IEPG::getCurrentShow_event, INode::ACTIVATED);
    getEventDispatcher().addLimited(IEPG::getCurrentShow_event, INode::STARTED);
    getEventDispatcher().addLimited(IEPG::getCurrentShow_event, INode::OUTPUT_INITIALIZED);
  
    getEventDispatcher().registerEvent(IEPG::getFollowingShow_event, new TEDObject0<IEPGImpl, string(IEPGImpl:: * )(), string >(this, &IEPGImpl::getFollowingShow));
    getEventDispatcher().addLimited(IEPG::getFollowingShow_event, INode::INITIALIZED);
    getEventDispatcher().addLimited(IEPG::getFollowingShow_event, INode::ACTIVATED);
    getEventDispatcher().addLimited(IEPG::getFollowingShow_event, INode::STARTED);
    getEventDispatcher().addLimited(IEPG::getFollowingShow_event, INode::OUTPUT_INITIALIZED);
  
    getEventDispatcher().registerEvent(IEPG::getDetailedDescription_event, new TEDObject0<IEPGImpl, string(IEPGImpl:: * )(), string >(this, &IEPGImpl::getDetailedDescription));
    getEventDispatcher().addLimited(IEPG::getDetailedDescription_event, INode::INITIALIZED);
    getEventDispatcher().addLimited(IEPG::getDetailedDescription_event, INode::ACTIVATED);
    getEventDispatcher().addLimited(IEPG::getDetailedDescription_event, INode::STARTED);
    getEventDispatcher().addLimited(IEPG::getDetailedDescription_event, INode::OUTPUT_INITIALIZED);
  
    getEventDispatcher().registerEvent(IEPG::setEPGDirectory_event, new TEDObject1<IEPGImpl, string, void(IEPGImpl:: * )(const string&), void >(this, &IEPGImpl::setEPGDirectory));
  
    getEventDispatcher().registerEvent(IEPG::getActivity_event, new TEDObject0<IEPGImpl, void(IEPGImpl:: * )(), void >(this, &IEPGImpl::getActivity));
    getEventDispatcher().addLimited(IEPG::getActivity_event, INode::INITIALIZED);
    getEventDispatcher().addLimited(IEPG::getActivity_event, INode::ACTIVATED);
    getEventDispatcher().addLimited(IEPG::getActivity_event, INode::STARTED);
    getEventDispatcher().addLimited(IEPG::getActivity_event, INode::OUTPUT_INITIALIZED);
  
    getEventDispatcher().registerEvent(IEPG::scan_event, new TEDObject0<IEPGImpl, void(IEPGImpl:: * )(), void >(this, &IEPGImpl::scan));
    getEventDispatcher().addLimited(IEPG::scan_event, INode::INITIALIZED);
    getEventDispatcher().addLimited(IEPG::scan_event, INode::ACTIVATED);
    getEventDispatcher().addLimited(IEPG::scan_event, INode::STARTED);
    getEventDispatcher().addLimited(IEPG::scan_event, INode::OUTPUT_INITIALIZED);

  }

}


